Subject: Re: [bug#29896] [PATCH] gnu: java-asm: Update to 6.0.

From: Chris Marusich <[email-masked]>
Date: Fri, 19 Jan 2018 01:59:18 -0800

Gábor Boskovits <[email-masked]> writes:

> Actually I did forget to check if it is used runtime.
> It is used to build and OSGi bundle.
> At first I tried to fake the dependency like for the ant tasks,
> but I got compilation errors.

If the new input is also required at runtime, then I'm not sure this
package definition is correct.  I would normally expect a "runtime
dependency" to be either retained as a reference in the output, or
declared as a propagated-input (so that it gets installed alongside this
package when this package is installed into a profile).  Perhaps I am
missing some information here.

I'm hoping Ricardo can comment on how this is intended to work for Java
packages, since he originally added the ant-build-system.

-- 
Chris